Deployments.ai Docs
Security

Show directory sync, its tokens, and the SCIM base URL to give the identity provider

GET /v1/directory · SDK getDirectory · CLI deployments directory show

GET
/v1/directory

Requires members:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

DirectoryResponse

application/json
  1. response
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
defaultRole*string
Value in"member""viewer"
scimBaseUrl*string
tokens*array<>
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
curl -X GET "https://example.com/v1/directory" \  -H "x-deployments-organization: string"
{  "createdAt": "2019-08-24T14:15:22Z",  "defaultRole": "member",  "scimBaseUrl": "string",  "tokens": [    {      "createdAt": "2019-08-24T14:15:22Z",      "createdBy": "string",      "id": "string",      "tokenPrefix": "string"    }  ],  "updatedAt": "2019-08-24T14:15:22Z"}